enum AnalyticsDeviceRequestType { energyManagement, occupancy }

class GetAnalyticsDevicesParam {
  final String? spaceUuid;
  final List<String> deviceTypes;
  final String? communityUuid;
  final AnalyticsDeviceRequestType requestType;

  const GetAnalyticsDevicesParam({
    required this.requestType,
    required this.spaceUuid,
    required this.deviceTypes,
    required this.communityUuid,
  });

  Map<String, dynamic> toJson() {
    return <String, dynamic>{
      if (spaceUuid != null) 'spaceUuid': spaceUuid,
      if (communityUuid != null) 'communityUuid': communityUuid,
    };
  }
}
